> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/content/wisej.web.aspnetpanel.md).

# AspNetPanel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [IFramePanel](/api/v3.0/wisej.web/content/wisej.web.iframepanel.md)
    * [AspNetPanel](/api/v3.0/wisej.web/content/wisej.web.aspnetpanel.md)

Represents a control that can host ASP.NET or MVC pages within a Wisej application.

{% tabs %}
{% tab title="C#" %}

```csharp
public class AspNetPanel : IFramePanel
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class AspNetPanel
    Inherits IFramePanel
```

{% endtab %}
{% endtabs %}

The code in the hosted ASP.NET/MVC page can access any component in the current Wisej application session simply by using the Wisej.Web.Application class. All top level forms and pages are available in the Application.OpenForms, Application.OpenPages, Application.MainPage, and Appication.Desktop properties.

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)AspNetPanel()

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)PageSource

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the ASP.NET/MVC page to load in the [AspNetPanel](/api/v3.0/wisej.web/content/wisej.web.aspnetpanel.md) control.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/content/wisej.web.aspnetpanel.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
